Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.componentxml
Class PropertyLoader

    java.lang.Object
      nextapp.echo2.app.componentxml.PropertyLoader

    public class PropertyLoader

extends java.lang.Object

Parses "properties" `Element`s into maps associating property names with instantiated property values.

Method Summary
`Style` | `createStyle(org.w3c.dom.Element propertiesElement, java.lang.String type)` Parses a "properties" `Element` and returns a `Style` mapping between property names and values.
`static PropertyLoader` | `forClassLoader(java.lang.ClassLoader classLoader)` Creates or retrieves a `PropertyLoader`.
`java.lang.Object` | `getPropertyValue(java.lang.Class objectClass, java.lang.Class propertyClass, org.w3c.dom.Element propertyElement)` Retrieves a property value from an property element.
`PropertyXmlPeer` | `getPropertyXmlPeer(java.lang.Class propertyClass)` Returns the `PropertyXmlPeer` for the given property class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### forClassLoader

    public static PropertyLoader forClassLoader(java.lang.ClassLoader classLoader)

  Creates or retrieves a `PropertyLoader`.

  Parameters:
    `classLoader` - the `ClassLoader` to use for dynamically loading property classes
  Returns:
    the `PropertyLoader`

### createStyle

    public Style createStyle(org.w3c.dom.Element propertiesElement,
                             java.lang.String type)
                      throws ComponentXmlException

  Parses a "properties" `Element` and returns a `Style` mapping between property names and values.

  Parameters:
    `propertiesElement` - the properties `Element` to be parsed
    `type` - the fully-qualified component type name
  Returns:
    a style representing the retrieved property names and values
  Throws:
    `ComponentXmlException`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.Class objectClass,
                                             java.lang.Class propertyClass,
                                             org.w3c.dom.Element propertyElement)
                                      throws InvalidPropertyException

  Retrieves a property value from an property element.

  Parameters:
    `objectClass` - the object containing the property
    `propertyClass` - the class of the property
    `propertyElement` - the property element to analyze
  Returns:
    the property value
  Throws:
    `InvalidPropertyException`

### getPropertyXmlPeer

    public PropertyXmlPeer getPropertyXmlPeer(java.lang.Class propertyClass)

  Returns the `PropertyXmlPeer` for the given property class.

  Parameters:
    `propertyClass` - the property class
  Returns:
    the XML parsing peer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD